/* 
================================================================================

Theme Name:     MADAUS Investment (Child)
Theme URI:      http://www.madaus.com

Description:    Child Theme for Investment of MADAUS Group.

Template:       madaus

Author:         WELCOME Marketing
Author URI:     http://www.welcome.ag

Version:        1.0

================================================================================
*/




/*============================================================================*/
/* ----- TEMPLATE & THEME ----- */
/*============================================================================*/

/* ----- GENERAL ----- */

ul.has-arrows li:before {
    background: var(--wp--preset--color--yellow-green);
}

/* ----- HEADER ----- */

body.scrolled header {
	border-bottom-color: var(--wp--preset--color--yellow-green);
}

    #logo {
        border-bottom-color: var(--wp--preset--color--yellow-green);
    }

/* ----- FOOTER ----- */

.madaus-footer-logo {
    border-left-color: var(--wp--preset--color--yellow-green);
}


/*============================================================================*/
/* ----- BLOCK ADJUSTMENTS ----- */
/*============================================================================*/

/* Group Block */
.wp-block-group.is-flex-cover {
	border-bottom-color: var(--wp--preset--color--yellow-green);
}


/*============================================================================*/
/* ----- FORMS ----- */
/*============================================================================*/

/* Buttons */
main input[type=submit],
main button[type=submit] {
    background: var(--wp--preset--color--yellow-green);
}

.send-button:before {
    background: var(--wp--preset--color--yellow-green);
}

/* Plugin adjustments: Contact Form 7 */
.wpcf7 form.sent .wpcf7-response-output {
    background: var(--wp--preset--color--yellow-green);
}

/*============================================================================*/
/* ----- GRAVITY FORMS ----- */
/*============================================================================*/

.gform_heading {
  display: none !important;
}

.gform-theme--framework
  .gform-field-label
  > .gfield_required:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ) {
  color: var(--wp--preset--color--dark-blue);
}

.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-email,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-phone,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-select,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-text {
  display: flex;
  flex-direction: column;
}

.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-email > label,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-phone > label,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-select > label,
.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-text > label {
  order: 2;
  margin-bottom: 0;
}

.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-email
  > .ginput_container,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-phone
  > .ginput_container,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-select
  > .ginput_container,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-text
  > .ginput_container {
  order: 1;
  margin-bottom: 8px;
}

.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-email
  > .gfield_validation_message,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-phone
  > .gfield_validation_message,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-select
  > .gfield_validation_message,
.gform-theme--framework:where(:not(.gform_editor))
  .gfield--type-text
  > .gfield_validation_message {
  order: 3;
}

.gform-theme--framework:where(:not(.gform_editor)) .gfield--type-section {
  height: 0;
  border: none;
  padding-bottom: 0;
}

.gform-theme--framework
  select:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ),
.gform-theme--framework
  input[type]:where(:not(.gform-text-input-reset):not([type="hidden"])):where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ) {
  border-top-width: 0;
  border-right-width: 0;
  border-left-width: 0;
  box-shadow: none;
}

.gform-theme--framework
  input[type="checkbox"]:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ) {
  border-top-width: 1px;
  border-right-width: 1px;
  border-left-width: 1px;
}

.gfield_error
  input[type]:where(:not(.gform-text-input-reset):not([type="hidden"])):where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ):focus,
.gform-theme--framework
  select:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ):focus,
.gform-theme--framework
  input[type]:where(:not(.gform-text-input-reset):not([type="hidden"])):where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ):focus {
  --gf-local-border-color: var(--wp--preset--color--dark-blue) !important;
  --gf-local-outline-color: rgba(0, 0, 0, 0) !important;
  --gf-local-outline-width: 0 !important;
}

.gfield-choice-input {
  visibility: visible !important;
}

#field_1_1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

#field_1_1 .gfield_label.gform-field-label.gfield_label_before_complex {
  flex: 1 1 25%;
  margin-bottom: 0;
}

#field_1_1 .ginput_container.ginput_container_checkbox {
  flex: 1 1 75%;
}

@media only screen and (max-width: 930px) {
  #field_1_1 .gfield_label.gform-field-label.gfield_label_before_complex {
    flex: 1 1 28%;
  }
  #field_1_1 .ginput_container.ginput_container_checkbox {
    flex: 1 1 72%;
  }
}

@media only screen and (max-width: 780px) {
  #field_1_1 .gfield_label.gform-field-label.gfield_label_before_complex {
    flex: 1 1 38%;
  }
  #field_1_1 .ginput_container.ginput_container_checkbox {
    flex: 1 1 62%;
  }
}

@media only screen and (max-width: 600px) {
  #field_1_1 .gfield_label.gform-field-label.gfield_label_before_complex {
    flex: 1 1 46%;
  }
  #field_1_1 .ginput_container.ginput_container_checkbox {
    flex: 1 1 54%;
  }
}

@media only screen and (max-width: 480px) {
  #field_1_1 {
    flex-wrap: wrap;
  }
  #field_1_1 .gfield_label.gform-field-label.gfield_label_before_complex {
    margin-bottom: 12px;
    flex: 1 1 100%;
  }
  #field_1_1 .ginput_container.ginput_container_checkbox {
    flex: 1 1 100%;
  }
}

#input_1_1 {
  flex-direction: row;
}

#field_1_12 {
  font-size: var(--wp--preset--font-size--s);
}

#field_1_12 a {
  color: var(--wp--preset--color--dark-blue);
}

.gform-footer.gform_footer {
  justify-content: center;
}

.gform-theme.gform-theme--framework.gform_wrapper
  .button:where(
    :not(.gform-theme-no-framework):not(.gform-theme__disable):not(
        .gform-theme__disable *
      ):not(.gform-theme__disable-framework):not(
        .gform-theme__disable-framework *
      )
  ) {
  padding-top: 12px !important;
  padding-right: 45px !important;
  padding-bottom: 10px !important;
  padding-left: 45px !important;
  line-height: 1 !important;
  text-transform: uppercase !important;
  height: auto;
}

.form-required-note p {
  font-size: var(--wp--preset--font-size--xs);
}

.form-required-note .required-indicator {
  color: var(--wp--preset--color--dark-blue);
}


/*############################################################################*/
/* ----- BREAKPOINT @ 1024 Pixel ----- */
/*############################################################################*/

@media only screen and (max-width: 1024px) { 

/* ----- HEADER ----- */

header {
    border-bottom-color: var(--wp--preset--color--yellow-green);
}

    nav#main-menu {
        border-bottom-color: var(--wp--preset--color--yellow-green);
    }

/* ----- FOOTER ----- */
	
.madaus-footer-logo {
    border-left: 0;
    border-top-color: var(--wp--preset--color--yellow-green);
}
    
} /* <--- END OF BREAKPOINT */

